package com.care.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum OrderStatusEnum {

    /**
     *
     */
    TODO("0","未处理"),
    DOING("1","处理中"),
    CANCEL("2","已完成"),
    DONE("3","主动取消"),
    FILING("4","已归档");
    private String value;
    private String name;
    OrderStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getCodeToName(String code){
        if (StrUtil.isEmpty(code)){
            return null;
        }
        if (TODO.getValue().equals(code)){
            return  TODO.name;
        }else if (DOING.getValue().equals(code)){
            return DOING.name;
        }else if (CANCEL.getValue().equals(code)){
            return CANCEL.name;
        }else if (DONE.getValue().equals(code)){
            return DONE.name;
        }else if (FILING.getValue().equals(code)){
            return FILING.name;
        }

        return null;
    }
}
